<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100147";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

		//////Arrastrando campos del Formulario
		$FactuPG=$_POST['txt_Factu'] or $FactuPG=$_GET['txt_Factu'];
		$CaduciPG=$_POST['txt_FeCadu'] or $CaduciPG=$_GET['txt_FeCadu'];
		$LotePG=$_POST['txt_Lote'] or $LotePG=$_GET['txt_Lote'];
		$LoteProPG=$_POST['txt_LoProd'] or $LoteProPG=$_GET['txt_LoProd'];
		
		////Validar Campos en Blanco
			if ($FactuPG=="")
			{
			echo "<script>alert('Favor de digitar el número de Factura.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacion.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
			}
			else
			{
				
			if ($CaduciPG=="")
			{
			echo "<script>alert('Favor de Seleccionar una Fecha de Caducidad.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacion.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
			}
			else
			{

				$sql_W1 = "SELECT * FROM temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' ORDER BY ID ASC";
				$res_W1=mysql_query($sql_W1) or die('Error en la consulta: '.mysql_error());
				While($row_W1 = mysql_fetch_array($res_W1,MYSQL_ASSOC))
				{///Inicia While 1
										
					////Sacando Datos del While
					$IdElimC=$row_W1["ID"];	
					$NoPalletC=$row_W1["NO_PALLET"];
					$SkuC=$row_W1["SKU"];
					$UbiC=$row_W1["UBICACION"];
					$EdoCC=$row_W1["EDOCAL"];
					$LotC=$row_W1["LOTE"];
					$LoProC_CPP=$row_W1["LOTEPRODU"];
					$CantiC=$row_W1["CANTIDAD"];
					
					////Identificar el Menor registro en la Tabla por medio de su ID
					////Saber cual fue el primer Pallet agregado por el usuario
					$sql_Min = "select min(ID) as Pri_Fol from temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn'";
					$lib_Min = mysql_query($sql_Min); 
					$rs_lib_Min = mysql_fetch_assoc($lib_Min); 
					$FolMen = $rs_lib_Min['Pri_Fol'];
					
					////Extraer Datos Logisticos Por Pallet - Del Inventario
					$sql_CPP = mysql_query("select SKU,UBICACION,EDOCAL,LOTE,LOTEPRODU from temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND ID='$FolMen' AND USUARIO_REG='$UsuEn'");
					if (mysql_numrows($sql_CPP)==0) echo "";
					else{
					$registro_CPP=mysql_fetch_array($sql_CPP);
					}
					if (mysql_numrows($sql_CPP)>0)
					{
					$Sku_CPP=$registro_CPP["SKU"];
					$Ubi_CPP=$registro_CPP["UBICACION"];
					$ECa_CPP=$registro_CPP["EDOCAL"];
					$Lot_CPP=$registro_CPP["LOTE"];
					$LPr_CPP=$registro_CPP["LOTEPRODU"];
					}
					
					////Validar Si cada pallet en el Bucle es igual al Pellet Maestro de Consolidación (el primero que se agrego) 
					if ($SkuC<>$Sku_CPP or $UbiC<>$Ubi_CPP or $EdoCC<>$ECa_CPP or $LotC<>$Lot_CPP or $LoProC_CPP<>$LPr_CPP)
						{
							$IdentifiCon="NO";
							///Guarda Error en Bitacora y continua el While
						}
						
					////Validar la prioridad de Ubicación
					$sqlPDUG = mysql_query("select * from tabla_prioridad WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='$Ubi_CPP'");
					if (mysql_numrows($sqlPDUG)==0) 
						{
							$IdentifiCon="NO";
							///Guarda Error en Bitacora y continua el While
						}
						
				}///Termina While 1

	if ($IdentifiCon=="NO")
		{///Inicia If de Edición General
			echo "<script>alert('La consolidación no se puedo efectuar debido a que existe inconsistencia en los datos.\\nFavor de corroborarlo en su Respectiva bitacora.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-BitacoraConsolidacion.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}///Termina If de Edición General
		else
		{///Inicia Else de Edición General
			
			$sql_W2 = "SELECT * FROM temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' ORDER BY ID ASC";
			$res_W2=mysql_query($sql_W2) or die('Error en la consulta: '.mysql_error());
			While($row_W2 = mysql_fetch_array($res_W2,MYSQL_ASSOC))
				{///Inicia el while 2
				
					$IdElimC2=$row_W2["ID"];	
					$NoPallC2=$row_W2["NO_PALLET"];
					$SkuC2=$row_W2["SKU"];
					$UbiC2=$row_W2["UBICACION"];
					$CantiC2=$row_W2["CANTIDAD"];
				
					///Generador de Folio para la Tabla Kardex
					$sqlIDK = "select max(ID) as ultimo_FOLIOIDK from tabla_kardex"; 
					$libIDK = mysql_query($sqlIDK); 
					$rs_libIDK = mysql_fetch_assoc($libIDK); 
					$id_nuevoIDK = $rs_libIDK['ultimo_FOLIOIDK'] + 1;
					
					////Identificar los Datos del Pallet
					$sqlDP = mysql_query("select SKU_ALT,NO_DOCUMENTO from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPallC2'");
					if (mysql_numrows($sqlDP)==0) echo "";
					else{
					$registroDP=mysql_fetch_array($sqlDP);
					}
					if (mysql_numrows($sqlDP)>0)
					{
					$SkuAltDP=$registroDP["SKU_ALT"];
					$NDocDP=$registroDP["NO_DOCUMENTO"];
					}
					
					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					
					////modificar el Registro del pallet dentro del inentario - Ajustar a 0						
					$sqlUTI="UPDATE tabla_inventario SET CANTIDAD='0' WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPallC2'";
					$resultadoUTI=mysql_query($sqlUTI,$conexion) or die(mysql_error());
					
					////Consulta que guarda el Registro del Ajuste a Menos en el Kardex					
					$sqlARK = mysql_query("INSERT INTO tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO) VALUES ('$id_nuevoIDK','$CveBodCR1','$CveCueCR1','$SkuC2','$SkuAltDP','$NDocDP','CONSOLIDACION','$UbiC2','$NoPallC2','-$CantiC2','$Fecha','$HoraOK','$UsuEn')");				
				
				}///Termina el while 2
				
		////°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°////					
////INICIA EL PROCESO A MAS DE LA CONSOLIDACION////
					
					////Generador de Folio para guardar la consolidación en el Kardex
					$sqlIDK2 = "select max(ID) as ultimo_FOLIOIDK2 from tabla_kardex"; 
					$libIDK2 = mysql_query($sqlIDK2); 
					$rs_libIDK2 = mysql_fetch_assoc($libIDK2); 
					$id_nueIDK2 = $rs_libIDK2['ultimo_FOLIOIDK2'] + 1;
					
					////Consulta para sumar el Total de Piezas a Consolidar
					$sqlSUMA = "SELECT SUM(CANTIDAD) as ObtCant FROM temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn'";
					$resSUMA = mysql_query($sqlSUMA); 
					$PrePiezas = mysql_fetch_assoc($resSUMA);
					$TotPiezasXC =  $PrePiezas ['ObtCant'];
					
					////Identificar los Datos de la Consolidación
					////Identificar el Menor registro en la Tabla por medio de su ID
					////Saber cual fue el primer Pallet agregado por el usuario
					$sql_Min = "select min(ID) as Pri_Fol from temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn'";
					$lib_Min = mysql_query($sql_Min); 
					$rs_lib_Min = mysql_fetch_assoc($lib_Min); 
					$FolMen = $rs_lib_Min['Pri_Fol'];
					
					////Extraer Datos Logisticos Por Pallet - Del Inventario
					$sql_CPP = mysql_query("select NO_PALLET,SKU,UBICACION,EDOCAL,LOTE,LOTEPRODU,TIPO_ALMACEN from temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND ID='$FolMen' AND USUARIO_REG='$UsuEn'");
					if (mysql_numrows($sql_CPP)==0) echo "";
					else{
					$registro_CPP=mysql_fetch_array($sql_CPP);
					}
					if (mysql_numrows($sql_CPP)>0)
					{
					$Pal_CPP=$registro_CPP["NO_PALLET"];
					$Sku_CPP=$registro_CPP["SKU"];
					$Ubi_CPP=$registro_CPP["UBICACION"];
					$ECa_CPP=$registro_CPP["EDOCAL"];
					$Lot_CPP=$registro_CPP["LOTE"];
					$LPr_CPP=$registro_CPP["LOTEPRODU"];
					$TAl_CPP=$registro_CPP["TIPO_ALMACEN"];
					}
					
					////Identificar los Datos del Pallet
					$sqlDP2 = mysql_query("select SKU_ALT,FECHA_ENTRADA,TIPO_UBICACION from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$Pal_CPP'");
					if (mysql_numrows($sqlDP)==0) echo "";
					else{
					$registroDP2=mysql_fetch_array($sqlDP2);
					}
					if (mysql_numrows($sqlDP2)>0)
					{
					$SkuAltDP2=$registroDP2["SKU_ALT"];
					$FeEntrDP2=$registroDP2["FECHA_ENTRADA"];
					$TiUbicDP2=$registroDP2["TIPO_UBICACION"];
					}
					
					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					$FechaLwms=date("Ymd");
					
					
					/////////Identificar el prefijo de Consolidacion configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_consol WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoCta=$registroIDE1["PREFIJO"];
					}
					
					////Generador de Folio para guardar el consecutivo de la clave de documento de Consolidacion
					$FechaDocuSur=date("Ymd");
				
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consedoccon WHERE FECHA='$FechaDocuSur'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					////Generador de Folio para el Concecutivo del Documento de Cosolidacion
					$sql_DC = "select max(ID) as ultimo_FOLIO_DC from tabla_consedoccon"; 
					$lib_DC = mysql_query($sql_DC); 
					$rs_lib_DC = mysql_fetch_assoc($lib_DC); 
					$id_DC = $rs_lib_DC['ultimo_FOLIO_DC'] + 1;
									
				////Guardar el concecutivo del Documento de Cosolidacion
					$sqlGCP = "insert tabla_consedoccon (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA)
        			values('$id_DC','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$NoDocPG','$FechaDocuSur')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());	
					
					
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
					//////Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = substr($Pal_CPP, -13, 8); // debuelve la fecha del pallet origina
			
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					
				////Generador de Folio para el Concecutivo del Pallet
					$sqlIDP22 = "select max(ID) as ultimo_FOLIOP22 from tabla_consepallet"; 
					$libP22 = mysql_query($sqlIDP22); 
					$rs_libP22 = mysql_fetch_assoc($libP22); 
					$id_nuevoP22 = $rs_libP22['ultimo_FOLIOP22'] + 1;
									
				////Guardar el concecutivo del Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP22','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocPG','$ClavePallet','$FechaPallet')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());	
					
				////Consulta que guarda el Registro del Pallet Consolidado dentro del Kardex					
					$sqlARK2 = mysql_query("INSERT INTO tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO) VALUES ('$id_nueIDK2','$CveBodCR1','$CveCueCR1','$Sku_CPP','$SkuAltDP2','$NoDocPG','CONSOLIDACION','$Ubi_CPP','$ClavePallet','$TotPiezasXC','$Fecha','$HoraOK','$UsuEn')");
					
				////Identificar la Decripción del Producto
					$sql_DP = mysql_query("select DESCRIPCION from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$Sku_CPP'");
					if (mysql_numrows($sql_DP)==0) echo "";
					else{
					$registro_DP=mysql_fetch_array($sql_DP);
					}
					if (mysql_numrows($sql_DP)>0)
					{
					$Desc_DP=$registro_DP["DESCRIPCION"];
					}
				
				////Identificar la Prioridad de la Ubicación
					$sqlPDU = mysql_query("select PRIORIDAD from tabla_prioridad WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='$Ubi_CPP'");
					if (mysql_numrows($sqlPDU)==0) echo "";
					else{
					$registroPDU=mysql_fetch_array($sqlPDU);
					}
					if (mysql_numrows($sqlPDU)>0)
					{
					$PrioPDU=strtoupper($registroPDU["PRIORIDAD"]);
					}
				
				////Identificacndo el Armado
					$Arma= "1 Pallet de ".$TotPiezasXC." piezas";
					
				////Generador de Folio para el Inventario
					$sqlPTI = "select max(ID) as ultimo_FOLIOPTI from tabla_inventario"; 
					$libPTI = mysql_query($sqlPTI); 
					$rs_libPTI = mysql_fetch_assoc($libPTI); 
					$id_nuevoPTI = $rs_libPTI['ultimo_FOLIOPTI'] + 1;
				
				////Lote WMS
				$LWm_CPP = "LWMS".$FechaLwms;
					
				////Consulta que guarda el Registro del nuevo pallet en el Inventario				
					$sqlADI = mysql_query("INSERT INTO tabla_inventario (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,CAN_APARTADA,USUARIO_ALTA,HORA,FECHA,TIPO_ALMACEN) VALUES ('$id_nuevoPTI','$CveBodCR1','$CveCueCR1','$NoDocPG','$NoDocPG','$Sku_CPP','$SkuAltDP2','$Desc_DP','$FeEntrDP2','$TotPiezasXC','$LotePG','$LWm_CPP','$LoteProPG','$CaduciPG','$FactuPG','P-C','$TotPiezasXC','1','$Arma','$ClavePallet','$Ubi_CPP','$PrioPDU','$TiUbicDP2','$ECa_CPP','0','$UsuEn','$HoraOK','$Fecha','$TAl_CPP')");	
					
					////Elimina el Buffer Temporal de Consolidacion
					$sql_EB1= "DELETE FROM temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn'";
					$resultado_EB1=mysql_query($sql_EB1,$conexion) or die(mysql_error());
					
					$sql_EB2= "DELETE FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' AND TIPO_PROCESO='CONSOLIDACION PALLET'";
					$resultado_EB2=mysql_query($sql_EB2,$conexion) or die(mysql_error());
					
					////Confirmación y Direccionamiento
					echo "<script>alert('Consolidación Procesada Correctamente');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=112-ProcesaConsolidacion.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG'>";
				
		}///Termina Else de Edición General

			}
			}
		
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>